package test;

import com.motherplanet.location.define.*;
import java.util.*;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */

public class LocationItemEarthquake
    extends LocationItemImpl {
    String imagePath = null;

    static double total = Math.log(System.currentTimeMillis());
    static long curtime = System.currentTimeMillis();
    static Calendar calendar = new GregorianCalendar();

    public LocationItemEarthquake(LocationMap lmap, String content) {
        super(lmap, content);
        String time = getDataColumn(0);
        int year = Integer.parseInt(time.substring(0,4));
        int mon = Integer.parseInt(time.substring(5,7));
        int day = Integer.parseInt(time.substring(8,10));
        int hour = Integer.parseInt(time.substring(11,13));
        int minute = Integer.parseInt(time.substring(14,16));
        int second = Integer.parseInt(time.substring(17));
        calendar.set(year, mon, day, hour, minute, second);
        int color = (int)(Math.pow(calendar.getTimeInMillis()*1.0/curtime, 1.5)*6+1);
        if(color>6)color = 6;

        float mag = Float.parseFloat(getDataColumn(3));
        if (mag >= 7) {
            imagePath = "images/eq7-";
        }
        else if (mag >= 6) {
            imagePath = "images/eq6-";
        }
        else if (mag > 5) {
            imagePath = "images/eq5-";
        }
        else {
            imagePath = "images/eq4-";
        }
        imagePath += color+".gif";
    }

    /**
     * getImage
     *
     * @return String
     * @todo Implement this com.motherplanet.location.LocationItem method
     */
    public String getImage() {
        return imagePath;
    }

}
